极客进化岛
技术自由路

【庖丁解牛】图像处理库: 解决WeCenter至少需要有GD图像处理库才能正常运行

错误复现

以下是安装wecenter时候的报错信息:
在这里插入图片描述
zmedu 致码高胜寒

解决方案一

[root@xinsz08 install]# yum install php-mysqlnd

解决方案二

如果方案一不管用,建议重新编译php,亲测有效:

在从新编译之前先安装依赖包:

 yum -y install curl-devel
 yum -y install postgresql-devel
 yum install libxslt-devel -y

安装libzip:
configure: error: Please reinstall the libzip distribution

修改lib库
configure: error: off_t undefined; check your library configuration

做好之后,使用下面的语句重新编译

[root@xinsz08 php-7.3.6]# ‘./configure’ ‘–prefix=/app/php’ ‘–with-pdo-pgsql’ ‘–with-zlib-dir’ ‘–with-freetype-dir’ ‘–enable-mbstring’ ‘–with-libxml-dir=/root/data/php-7.3.6/ext/libxml’ ‘–enable-soap’ ‘–enable-calendar’ ‘–with-curl’ ‘–with-gd’ ‘–with-pgsql’ ‘–disable-rpath’ ‘–enable-inline-optimization’ ‘–with-bz2’ ‘–with-zlib’ ‘–enable-sockets’ ‘–enable-sysvsem’ ‘–enable-sysvshm’ ‘–enable-pcntl’ ‘–enable-mbregex’ '–with-freetype-dir=/usr/include/freetype2/freetype ’ ‘–enable-exif’ ‘–enable-bcmath’ ‘–with-mhash’ ‘–enable-zip’ ‘–with-pcre-regex’ ‘–with-pdo-mysql’ ‘–with-mysqli’ ‘–with-jpeg-dir=/usr’ ‘–with-png-dir=/usr’ ‘–with-openssl’ ‘–with-fpm-user=zmedu’ ‘–with-fpm-group=zmedu’ ‘–with-libdir=/lib/x86_64-linux-gnu/’ ‘–enable-ftp’ ‘–with-gettext’ ‘–with-xmlrpc’ ‘–with-xsl’ ‘–enable-opcache’ ‘–enable-fpm’ ‘–with-iconv’ ‘–with-xpm-dir=/usr’ ‘–with-apxs2=/app/httpd24/bin/apxs’

总结

解决问题的方法有很多,但目前这两个是解决 图像处理库: 解决WeCenter至少需要有GD图像处理库才能正常运行 最佳方法

赞(0)
未经允许不得转载:极客进化岛 » 【庖丁解牛】图像处理库: 解决WeCenter至少需要有GD图像处理库才能正常运行